<!-- Copyright (c) 2021 8th Wall, Inc. -->
<!-- body.html is optional; elements will be added to your html body after app.js is loaded. -->

<a-scene
  physics="driver: ammo"
  xrextras-almost-there
  xrextras-loading
  xrextras-runtime-error
  xrextras-pause-on-hidden
  xrface="mirroredDisplay: true; cameraDirection: front; allowedDevices: any"
>
  <!-- Assets block loading of the scene until they are fetched. -->
  <a-assets>
    <!-- "Cowboy Hat" (https://skfb.ly/6WVoG) by wewwuworks is licensed under Creative Commons Attribution (http://creativecommons.org/licenses/by/4.0/). -->
    <a-asset-item id="hat" src="./Assets/cap/cap.gltf"></a-asset-item>
    <a-asset-item id="head-occluder" src="./Assets/head.gltf"></a-asset-item>
  </a-assets>

  <!-- to capture the image -->
  <xrextras-capture-button></xrextras-capture-button>

  <!-- to show a preview of the captured img -->
  <xrextras-capture-preview></xrextras-capture-preview>

  <a-camera
    look-controls="enabled: false"
    wasd-controls="enabled: false"
    position="0 1.6 0"
  ></a-camera>

  <xrextras-faceanchor>
    <!--
      Prevents the rendering of models behind head. This must be in the scene
      before any other models we want to occlude.       
    -->
    <a-entity
      gltf-model="#head-occluder"
      xrextras-hider-material
      position="0 0 0.25"
      scale="1.2 1.1 1.35"
      rotation="-6 0 0"
    >
      <a-entity
        position="0 0 -0.1"
        ammo-body="type: static"
        ammo-shape="type: sphere; fit: manual; sphereRadius: 0.1"
      >
      </a-entity>
    </a-entity>

    <!-- face occluder -->
    <xrextras-face-mesh xrextras-hider-material></xrextras-face-mesh>

    <!-- cap product -->
    <a-entity
      gltf-model="#hat"
      position="0 0.9 -0.1"
      scale="0.007 0.007 0.007"
      rotation="0 180 0"
    >
    </a-entity>
  </xrextras-faceanchor>

  <a-light
    type="directional"
    target="#face"
    position="0 1.8 3"
    intensity="0.8"
  ></a-light>
  <a-light type="ambient" intensity="0.5"></a-light>
</a-scene>
